wxWidgets: wxUIActionSimulator Class Reference

| Version: 3.0.4

Public Member Functions | List of all members
wxUIActionSimulator Class Reference

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/uiaction.h>`

## Detailed Description

wxUIActionSimulator is a class used to simulate user interface actions such as a mouse click or a key press.

Common usage for this class would be to provide playback and record (aka macro recording) functionality for users, or to drive unit tests by simulating user sessions.

See the wxUIActionSimulator Sample for an example of using this class.

Since
  2.9.2

##

Library: wxCore

## Public Member Functions
| wxUIActionSimulator ()
| Default constructor. More...
bool | MouseMove (long x, long y)
| Move the mouse to the specified coordinates. More...
bool | MouseMove (const wxPoint &point)
| Move the mouse to the specified coordinates. More...
bool | MouseDown (int button=wxMOUSE_BTN_LEFT)
| Press a mouse button. More...
bool | MouseUp (int button=wxMOUSE_BTN_LEFT)
| Release a mouse button. More...
bool | MouseClick (int button=wxMOUSE_BTN_LEFT)
| Click a mouse button. More...
bool | MouseDblClick (int button=wxMOUSE_BTN_LEFT)
| Double-click a mouse button. More...
bool | MouseDragDrop (long x1, long y1, long x2, long y2, int button=wxMOUSE_BTN_LEFT)
| Perform a drag and drop operation. More...
bool | KeyDown (int keycode, int modifiers=wxMOD_NONE)
| Press a key. More...
bool | KeyUp (int keycode, int modifiers=wxMOD_NONE)
| Release a key. More...
bool | Char (int keycode, int modifiers=wxMOD_NONE)
| Press and release a key. More...
bool | Text (const wxString &text)
| Emulate typing in the keys representing the given string. More...

## Constructor & Destructor Documentation

## ◆ wxUIActionSimulator()

wxUIActionSimulator::wxUIActionSimulator | ( |  | ) |

Default constructor.

## Member Function Documentation

## ◆ Char()

bool wxUIActionSimulator::Char | ( | int | keycode,
|  | int | modifiers = `wxMOD_NONE`
| ) |  |

Press and release a key.

Parameters

  keycode | Key to operate on, as an integer. It is interpreted as a wxKeyCode.
  modifiers | A combination of wxKeyModifier flags to be pressed with the given keycode.

## ◆ KeyDown()

bool wxUIActionSimulator::KeyDown | ( | int | keycode,
|  | int | modifiers = `wxMOD_NONE`
| ) |  |

Press a key.

If you are using modifiers then it needs to be paired with an identical KeyUp or the modifiers will not be released (MSW and OSX).

Parameters

  keycode | Key to operate on, as an integer. It is interpreted as a wxKeyCode.
  modifiers | A combination of wxKeyModifier flags to be pressed with the given keycode.

## ◆ KeyUp()

bool wxUIActionSimulator::KeyUp | ( | int | keycode,
|  | int | modifiers = `wxMOD_NONE`
| ) |  |

Release a key.

Parameters

  keycode | Key to operate on, as an integer. It is interpreted as a wxKeyCode.
  modifiers | A combination of wxKeyModifier flags to be pressed with the given keycode.

## ◆ MouseClick()

bool wxUIActionSimulator::MouseClick | ( | int | button = `wxMOUSE_BTN_LEFT` | ) |

Click a mouse button.

Parameters

  button | Button to press. See wxUIActionSimulator::MouseDown for a list of valid constants.

## ◆ MouseDblClick()

bool wxUIActionSimulator::MouseDblClick | ( | int | button = `wxMOUSE_BTN_LEFT` | ) |

Double-click a mouse button.

Parameters

  button | Button to press. See wxUIActionSimulator::MouseDown for a list of valid constants.

## ◆ MouseDown()

bool wxUIActionSimulator::MouseDown | ( | int | button = `wxMOUSE_BTN_LEFT` | ) |

Press a mouse button.

Parameters

  button | Button to press. Valid constants are `wxMOUSE_BTN_LEFT`, `wxMOUSE_BTN_MIDDLE`, and `wxMOUSE_BTN_RIGHT`.

## ◆ MouseDragDrop()

bool wxUIActionSimulator::MouseDragDrop | ( | long | x1,
|  | long | y1,
|  | long | x2,
|  | long | y2,
|  | int | button = `wxMOUSE_BTN_LEFT`
| ) |  |

Perform a drag and drop operation.

Parameters

  x1 | x start coordinate, in screen coordinates.
  y1 | y start coordinate, in screen coordinates.
  x2 | x destination coordinate, in screen coordinates.
  y2 | y destination coordinate, in screen coordinates.
  button | Button to press. See wxUIActionSimulator::MouseDown for a list of valid constants.

## ◆ MouseMove() [1/2]

bool wxUIActionSimulator::MouseMove | ( | long | x,
|  | long | y
| ) |  |

Move the mouse to the specified coordinates.

Parameters

  x | x coordinate to move to, in screen coordinates.
  y | y coordinate to move to, in screen coordinates.

## ◆ MouseMove() [2/2]

bool wxUIActionSimulator::MouseMove | ( | const wxPoint & | point | ) |

Move the mouse to the specified coordinates.

Parameters

  point | Point to move to, in screen coordinates.

## ◆ MouseUp()

bool wxUIActionSimulator::MouseUp | ( | int | button = `wxMOUSE_BTN_LEFT` | ) |

Release a mouse button.

Parameters

  button | Button to press. See wxUIActionSimulator::MouseDown for a list of valid constants.

## ◆ Text()

bool wxUIActionSimulator::Text | ( | const wxString & | text | ) |

Emulate typing in the keys representing the given string.

Currently only the ASCII letters, digits and characters for the definition of numbers (i.e. characters `a-z` `A-Z` `0-9` `+` `-` ``. ``, `'space'`) are supported.

Parameters

  text | The string to type.